GNU logs - #5483, boring messages


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: bug-gnu-emacs@HIDDEN
Subject: bug#5483: 23.1.91; EDE : proj-automake : files in subdirectories have no `ede-current-project'
Resent-From: =?UTF-8?Q?Llu=C3=ADs?= <xscript@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 26 Jan 2010 21:56:02 +0000
Resent-Message-ID: <handler.5483.B.126454291522099 <at> debbugs.gnu.org>
Resent-Sender: bug-gnu-emacs@HIDDEN
X-Emacs-PR-Message: report 5483
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
To: 5483 <at> debbugs.gnu.org
Cc: rfrancoise@HIDDEN
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.126454291522099
          (code B ref -1); Tue, 26 Jan 2010 21:56:02 +0000
Received: (at submit) by debbugs.gnu.org; 26 Jan 2010 21:55:15 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NZtNS-0005kO-Ol
	for submit <at> debbugs.gnu.org; Tue, 26 Jan 2010 16:55:15 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <xscript@HIDDEN>) id 1NZtB1-0005da-MU
	for submit <at> debbugs.gnu.org; Tue, 26 Jan 2010 16:42:25 -0500
Received: from mx10.gnu.org ([199.232.76.166]:47024)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <xscript@HIDDEN>) id 1NZtAx-0002Q5-KD
	for submit <at> debbugs.gnu.org; Tue, 26 Jan 2010 16:42:19 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim
	4.60) (envelope-from <xscript@HIDDEN>) id 1NZtAt-0006t7-9x
	for submit <at> debbugs.gnu.org; Tue, 26 Jan 2010 16:42:18 -0500
X-Spam-Checker-Version: SpamAssassin 3.1.0 (2005-09-13) on monty-python
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=AWL,BAYES_00,
	UNPARSEABLE_RELAY autolearn=ham version=3.1.0
Received: from lists.gnu.org ([199.232.76.165]:58439)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <xscript@HIDDEN>) id 1NZtAs-0006sn-V8
	for submit <at> debbugs.gnu.org; Tue, 26 Jan 2010 16:42:15 -0500
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1NZtAs-0007qW-7j
	for bug-gnu-emacs@HIDDEN; Tue, 26 Jan 2010 16:42:14 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1NZtAm-0007nU-Uh
	for bug-gnu-emacs@HIDDEN; Tue, 26 Jan 2010 16:42:13 -0500
Received: from [199.232.76.173] (port=60910 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1NZtAm-0007n8-Le
	for bug-gnu-emacs@HIDDEN; Tue, 26 Jan 2010 16:42:08 -0500
Received: from mail.gmx.net ([213.165.64.20]:60251)
	by monty-python.gnu.org with smtp (Exim 4.60)
	(envelope-from <xscript@HIDDEN>) id 1NZtAm-0006rw-BF
	for bug-gnu-emacs@HIDDEN; Tue, 26 Jan 2010 16:42:08 -0500
Received: (qmail invoked by alias); 26 Jan 2010 21:42:01 -0000
Received: from dync-30-245.ac.upc.es (EHLO localhost) [147.83.30.245]
	by mail.gmx.net (mp058) with SMTP; 26 Jan 2010 22:42:01 +0100
X-Authenticated: #12333383
X-Provags-ID: V01U2FsdGVkX1+xsEYRXFCxLJ86jKOrOKQlNZymC5Ji7+sqkterKG
	/N6Y507WnQqUN6
Date: Tue, 26 Jan 2010 22:41:58 +0100
Message-ID: <864om85ys9.wl%lluis@HIDDEN>
From: =?UTF-8?Q?Llu=C3=ADs?= <xscript@HIDDEN>
User-Agent: Wanderlust/2.15.6 (Almost Unreal) SEMI/1.14.6 (Maruoka)
	FLIM/1.14.9 =?UTF-8?Q?(Goj=C5=8D)?= APEL/10.7 Emacs/23.1.91
	(x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Y-GMX-Trusted: 0
X-FuHaFi: 0.56999999999999995
X-detected-operating-system: by monty-python.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -5.9 (-----)
X-Mailman-Approved-At: Tue, 26 Jan 2010 16:55:13 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

I have an already existing project based on automake (also tried with a much
smaller automake project, but the same happens).

Whenever I add a source (_SOURCES variable) that is in a subdirectory (in order
to avoid an excessive amount of recursive makes), that file has not current EDE
project set, although `ede-speedbar' correctly shows the file under the correct
target (an LTLIBRARY).

This is also related to the fact that includes are not found in such files when
the include paths start at target roots (instead of using the file's current
directory).

In GNU Emacs 23.1.91.1 (x86_64-pc-linux-gnu, GTK+ Version 2.18.6)
 of 2010-01-18 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20100118-1)





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Type: text/plain; charset=utf-8
X-Loop: bug-gnu-emacs@HIDDEN
From: bug-gnu-emacs@HIDDEN (Emacs bug Tracking System)
To: =?UTF-8?Q?Llu=C3=ADs?= <xscript@HIDDEN>
Subject: bug#5483: Acknowledgement (23.1.91; EDE : proj-automake : files
 in subdirectories have no `ede-current-project')
Message-ID: <handler.5483.B.126454291522099.ack <at> debbugs.gnu.org>
References: <864om85ys9.wl%lluis@HIDDEN>
X-Emacs-PR-Message: ack 5483
X-Emacs-PR-Package: emacs
Reply-To: 5483 <at> debbugs.gnu.org
Date: Tue, 26 Jan 2010 21:56:02 +0000

Thank you for filing a new bug report with Emacs.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 5483 <at> debbugs.gnu.org.

Please do not send mail to bug-gnu-emacs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
5483: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D5483
Emacs Bug Tracking System
Contact bug-gnu-emacs@HIDDEN with problems


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: bug-gnu-emacs@HIDDEN
Subject: bug#5483: 23.1.91; EDE : proj-automake : files in subdirectories have no `ede-current-project'
Resent-From: =?UTF-8?Q?Llu=C3=ADs?= <xscript@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 31 Jan 2010 16:49:02 +0000
Resent-Message-ID: <handler.5483.B5483.1264956493989 <at> debbugs.gnu.org>
Resent-Sender: bug-gnu-emacs@HIDDEN
X-Emacs-PR-Message: followup 5483
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
To: "Eric M. Ludlam" <eric@HIDDEN>
Cc: Chong Yidong <cyd@HIDDEN>, Eric Ludlam <zappo@HIDDEN>, 5483 <at> debbugs.gnu.org
Received: via spool by 5483-submit <at> debbugs.gnu.org id=B5483.1264956493989
          (code B ref 5483); Sun, 31 Jan 2010 16:49:02 +0000
Received: (at 5483) by debbugs.gnu.org; 31 Jan 2010 16:48:13 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Nbcy4-0000Fu-Tm
	for submit <at> debbugs.gnu.org; Sun, 31 Jan 2010 11:48:13 -0500
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <xscript@HIDDEN>) id 1Nbcy2-0000Fg-M1
	for 5483 <at> debbugs.gnu.org; Sun, 31 Jan 2010 11:48:11 -0500
Received: (qmail invoked by alias); 31 Jan 2010 16:48:04 -0000
Received: from unknown (EHLO localhost) [62.37.157.136]
	by mail.gmx.net (mp039) with SMTP; 31 Jan 2010 17:48:04 +0100
X-Authenticated: #12333383
X-Provags-ID: V01U2FsdGVkX1+CLyh984uCq1xcSqPjYsmrgRYTQsGoRjQGjpp/5/
	MP9abNWQfqvcUf
Date: Sun, 31 Jan 2010 17:48:01 +0100
Message-ID: <86ocka2pby.wl%lluis@HIDDEN>
From: =?UTF-8?Q?Llu=C3=ADs?= <xscript@HIDDEN>
In-Reply-To: <4B62176A.7050609@HIDDEN>
References: <873a1qxans.fsf@HIDDEN>	<4B62176A.7050609@HIDDEN>
User-Agent: Wanderlust/2.15.6 (Almost Unreal) SEMI/1.14.6 (Maruoka)
	FLIM/1.14.9 =?UTF-8?Q?(Goj=C5=8D)?= APEL/10.7 Emacs/23.1.92
	(i486-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Y-GMX-Trusted: 0
X-FuHaFi: 0.67000000000000004
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

> Interesting, in that I got a nearly identical question on my mailing 
> list from someone else today.

> The basic issue is that this technique was not known to me when I wrote 
> ede (1998 or so) and the entire model is based on a hierarchy of 
> projects that are directory specific.

> I think it is possible to fix in that there are other project types that 
> do this (like the Emacs project), but it won't be quick.  If Lluis is 
> interested in chasing this with me, joining a cedet mailing list might 
> help get others involved who might not be on emacs/devel.

Well, my lisp ability is rather limited, but I'll launch a message on the
mailing list, with the information I've gathered.

Question is, where should any development go into? CEDET cvs or Emacs' bzr?

Read you there.

--
 "And it's much the same thing with knowledge, for whenever you learn
 something new, the whole world becomes that much richer."
 -- The Princess of Pure Reason, as told by Norton Juster in The Phantom
 Tollbooth




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: bug-gnu-emacs@HIDDEN
Subject: bug#5483: 23.1.91; EDE : proj-automake : files in subdirectories have no `ede-current-project'
Resent-From: "Eric M. Ludlam" <eric@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 31 Jan 2010 22:11:01 +0000
Resent-Message-ID: <handler.5483.B5483.126497583719807 <at> debbugs.gnu.org>
Resent-Sender: bug-gnu-emacs@HIDDEN
X-Emacs-PR-Message: followup 5483
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
To: =?UTF-8?Q?Llu=C3=ADs?= <xscript@HIDDEN>
Cc: Chong Yidong <cyd@HIDDEN>, Eric Ludlam <zappo@HIDDEN>, 5483 <at> debbugs.gnu.org
Received: via spool by 5483-submit <at> debbugs.gnu.org id=B5483.126497583719807
          (code B ref 5483); Sun, 31 Jan 2010 22:11:01 +0000
Received: (at 5483) by debbugs.gnu.org; 31 Jan 2010 22:10:37 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Nbi04-00059Q-53
	for submit <at> debbugs.gnu.org; Sun, 31 Jan 2010 17:10:36 -0500
Received: from bird.interbax.net ([75.126.100.114])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eric@HIDDEN>) id 1Nbhpu-00051a-8J
	for 5483 <at> debbugs.gnu.org; Sun, 31 Jan 2010 17:00:06 -0500
Received: (qmail 2738 invoked from network); 31 Jan 2010 16:00:01 -0600
Received: from static-71-184-83-10.bstnma.fios.verizon.net (HELO
	?192.168.1.201?) (71.184.83.10)
	by interbax.net with SMTP; 31 Jan 2010 16:00:01 -0600
Message-ID: <4B65FDDD.1060908@HIDDEN>
Date: Sun, 31 Jan 2010 17:02:05 -0500
From: "Eric M. Ludlam" <eric@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.3a1pre) Gecko/20091222 Shredder/3.1a1pre
MIME-Version: 1.0
References: <873a1qxans.fsf@HIDDEN>	<4B62176A.7050609@HIDDEN>
	<86ocka2pby.wl%lluis@HIDDEN>
In-Reply-To: <86ocka2pby.wl%lluis@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.6 (--)
X-Mailman-Approved-At: Sun, 31 Jan 2010 17:10:34 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On 01/31/2010 11:48 AM, Lluís wrote:
>> Interesting, in that I got a nearly identical question on my mailing
>> list from someone else today.
>
>> The basic issue is that this technique was not known to me when I wrote
>> ede (1998 or so) and the entire model is based on a hierarchy of
>> projects that are directory specific.
>
>> I think it is possible to fix in that there are other project types that
>> do this (like the Emacs project), but it won't be quick.  If Lluis is
>> interested in chasing this with me, joining a cedet mailing list might
>> help get others involved who might not be on emacs/devel.
>
> Well, my lisp ability is rather limited, but I'll launch a message on the
> mailing list, with the information I've gathered.
>
> Question is, where should any development go into? CEDET cvs or Emacs' bzr?

I cannot reliably contribute to Emacs's repository due to the type of 
release I have from work, so I work instead in CEDET's sourceforge 
repository.  Changes in each will be cross merged.  Unfortunately, the 
CVS version of CEDET only really works well with older Emacsen like 23.1 
and earlier.

Eric




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: bug-gnu-emacs@HIDDEN
Subject: bug#5483: 23.1.91; EDE : proj-automake : files in subdirectories have no `ede-current-project'
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 01 Feb 2010 15:41:01 +0000
Resent-Message-ID: <handler.5483.B5483.12650388111788 <at> debbugs.gnu.org>
Resent-Sender: bug-gnu-emacs@HIDDEN
X-Emacs-PR-Message: followup 5483
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
To: =?UTF-8?Q?Llu=C3=ADs?= <xscript@HIDDEN>
Cc: Chong Yidong <cyd@HIDDEN>, Eric Ludlam <zappo@HIDDEN>, 5483 <at> debbugs.gnu.org, "Eric M. Ludlam" <eric@HIDDEN>
Received: via spool by 5483-submit <at> debbugs.gnu.org id=B5483.12650388111788
          (code B ref 5483); Mon, 01 Feb 2010 15:41:01 +0000
Received: (at 5483) by debbugs.gnu.org; 1 Feb 2010 15:40:11 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NbyNn-0000Sn-Gp
	for submit <at> debbugs.gnu.org; Mon, 01 Feb 2010 10:40:11 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1NbyNl-0000Sc-2E
	for 5483 <at> debbugs.gnu.org; Mon, 01 Feb 2010 10:40:09 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ApsEAJ6EZktFpaN9/2dsb2JhbACBM9kbhEUEilo
X-IronPort-AV: E=Sophos;i="4.49,383,1262581200"; d="scan'208";a="55063896"
Received: from 69-165-163-125.dsl.teksavvy.com (HELO pastel.home)
	([69.165.163.125])
	by ironport2-out.pppoe.ca with ESMTP; 01 Feb 2010 10:40:03 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id DDE347F8A; Mon,  1 Feb 2010 10:40:03 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwv4om1dl1e.fsf-monnier+emacs@HIDDEN>
References: <873a1qxans.fsf@HIDDEN>
	<4B62176A.7050609@HIDDEN>
	<86ocka2pby.wl%lluis@HIDDEN>
Date: Mon, 01 Feb 2010 10:40:03 -0500
In-Reply-To: <86ocka2pby.wl%lluis@HIDDEN> =?UTF-8?Q?("Llu=C3=ADs"'s?= message of "Sun,
	31 Jan 2010 17:48:01 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -2.7 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

> Well, my lisp ability is rather limited, but I'll launch a message on the
> mailing list, with the information I've gathered.

> Question is, where should any development go into? CEDET cvs or Emacs' bzr?

It's probably better for it to go into the Emacs bzr, because it's a lot
easier for Eric to merge from our repository than the other way around
(for legal reasons on his side).
Eric, what do you think?


        Stefan




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: bug-gnu-emacs@HIDDEN
Subject: bug#5483: 23.1.91; EDE : proj-automake : files in subdirectories have no `ede-current-project'
Resent-From: "Eric M. Ludlam" <eric@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 01 Feb 2010 19:41:01 +0000
Resent-Message-ID: <handler.5483.B5483.126505321414000 <at> debbugs.gnu.org>
Resent-Sender: bug-gnu-emacs@HIDDEN
X-Emacs-PR-Message: followup 5483
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: Chong Yidong <cyd@HIDDEN>, Eric Ludlam <zappo@HIDDEN>, =?UTF-8?Q?Llu=C3=ADs?= <xscript@HIDDEN>, 5483 <at> debbugs.gnu.org
Received: via spool by 5483-submit <at> debbugs.gnu.org id=B5483.126505321414000
          (code B ref 5483); Mon, 01 Feb 2010 19:41:01 +0000
Received: (at 5483) by debbugs.gnu.org; 1 Feb 2010 19:40:14 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Nc286-0003dj-Be
	for submit <at> debbugs.gnu.org; Mon, 01 Feb 2010 14:40:14 -0500
Received: from bird.interbax.net ([75.126.100.114])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eric@HIDDEN>) id 1Nc1ve-0003S4-Jk
	for 5483 <at> debbugs.gnu.org; Mon, 01 Feb 2010 14:27:23 -0500
Received: (qmail 10478 invoked from network); 1 Feb 2010 13:27:17 -0600
Received: from static-71-184-83-10.bstnma.fios.verizon.net (HELO
	?192.168.1.201?) (71.184.83.10)
	by interbax.net with SMTP; 1 Feb 2010 13:27:17 -0600
Message-ID: <4B672B97.5080901@HIDDEN>
Date: Mon, 01 Feb 2010 14:29:27 -0500
From: "Eric M. Ludlam" <eric@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.3a1pre) Gecko/20091222 Shredder/3.1a1pre
MIME-Version: 1.0
References: <873a1qxans.fsf@HIDDEN>	<4B62176A.7050609@HIDDEN>	<86ocka2pby.wl%lluis@HIDDEN>
	<jwv4om1dl1e.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwv4om1dl1e.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Mailman-Approved-At: Mon, 01 Feb 2010 14:40:13 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)



On 02/01/2010 10:40 AM, Stefan Monnier wrote:
>> Well, my lisp ability is rather limited, but I'll launch a message on the
>> mailing list, with the information I've gathered.
>
>> Question is, where should any development go into? CEDET cvs or Emacs' bzr?
>
> It's probably better for it to go into the Emacs bzr, because it's a lot
> easier for Eric to merge from our repository than the other way around
> (for legal reasons on his side).
> Eric, what do you think?

If Someone other than me makes a change set that is complete, then this 
is true.  If I need to be involved then it would need to be done in 
CEDET cvs since my last release ended 2 days ago, and I need to get it 
refreshed.

Eric





Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.